Package org.eclipse.m2m.atl.adt.ui.text

## Interface IAtlDefaultValues

    public interface IAtlDefaultValues

This interface stores the RGB color of every preferences values.

### Field Summary

Fields
`static org.eclipse.swt.graphics.RGB` `APPEARANCE_BACKGROUND_COLOR`
`static boolean` `APPEARANCE_CURRENT_LINE`
`static org.eclipse.swt.graphics.RGB` `APPEARANCE_CURRENT_LINE_COLOR`
`static org.eclipse.swt.graphics.RGB` `APPEARANCE_FOREGROUND_COLOR`
`static boolean` `APPEARANCE_HIGHLIGHT_CURRENT_LINE`
`static boolean` `APPEARANCE_HIGHLIGHT_MATCHING_BRACKETS`
`static org.eclipse.swt.graphics.RGB` `APPEARANCE_HIGHLIGHT_MATCHING_BRACKETS_COLOR`
`static org.eclipse.swt.graphics.RGB` `APPEARANCE_LINE_NUMBER_COLOR`
`static boolean` `APPEARANCE_LINE_NUMBER_RULER`
`static boolean` `APPEARANCE_PRINT_MARGIN`
`static org.eclipse.swt.graphics.RGB` `APPEARANCE_PRINT_MARGIN_COLOR`
`static int` `APPEARANCE_PRINT_MARGIN_COLUMN`
`static boolean` `APPEARANCE_SELECTION_BACKGROUND_DEFAULT`
`static boolean` `APPEARANCE_SELECTION_FOREGROUND_DEFAULT`
`static int` `APPEARANCE_TAB_WIDTH`
`static int` `CODEASSIST_AUTOACTIVATION_DELAY`
`static boolean` `CODEASSIST_AUTOACTIVATION_ENABLE`
`static java.lang.String` `CODEASSIST_AUTOACTIVATION_TRIGGERS`
`static boolean` `CODEASSIST_AUTOINSERT`
`static boolean` `CODEASSIST_CASE_SENSITIVITY`
`static boolean` `CODEASSIST_ORDER_PROPOSALS`
`static org.eclipse.swt.graphics.RGB` `CODEASSIST_PARAMETERS_BACKGROUND_COLOR`
`static org.eclipse.swt.graphics.RGB` `CODEASSIST_PARAMETERS_FOREGROUND_COLOR`
`static boolean` `CODEASSIST_PREFIX_COMPLETION`
`static org.eclipse.swt.graphics.RGB` `CODEASSIST_PROPOSALS_BACKGROUND_COLOR`
`static org.eclipse.swt.graphics.RGB` `CODEASSIST_PROPOSALS_FOREGROUND_COLOR`
`static org.eclipse.swt.graphics.RGB` `CODEASSIST_REPLACEMENT_BACKGROUND_COLOR`
`static org.eclipse.swt.graphics.RGB` `CODEASSIST_REPLACEMENT_FOREGROUND_COLOR`
`static boolean` `CODEASSIST_SHOW_VISIBLE_PROPOSALS`
`static boolean` `CODEFORMATTER_CUT_AFTER_POINT`
`static int` `CODEFORMATTER_LINE_MAX_LENGTH`
`static int` `CODEFORMATTER_LINES_AFTER_CREATE_FROM`
`static int` `CODEFORMATTER_LINES_AFTER_MODULE`
`static int` `CODEFORMATTER_LINES_AFTER_SPECIAL_TAGS`
`static int` `CODEFORMATTER_LINES_BETWEEN`
`static int` `CODEFORMATTER_SPACES_AFTER_ARROWS`
`static int` `CODEFORMATTER_SPACES_AFTER_COLON`
`static int` `CODEFORMATTER_SPACES_AFTER_COMA`
`static int` `CODEFORMATTER_SPACES_AFTER_COMMENT`
`static int` `CODEFORMATTER_SPACES_AFTER_EQUAL`
`static int` `CODEFORMATTER_SPACES_AFTER_EXCLAMATION`
`static int` `CODEFORMATTER_SPACES_AFTER_OPERATOR`
`static int` `CODEFORMATTER_SPACES_AFTER_PIPE`
`static int` `CODEFORMATTER_SPACES_AFTER_POINT`
`static int` `CODEFORMATTER_SPACES_AFTER_SEMI`
`static int` `CODEFORMATTER_SPACES_BEFORE_ARROWS`
`static int` `CODEFORMATTER_SPACES_BEFORE_COLON`
`static int` `CODEFORMATTER_SPACES_BEFORE_COMA`
`static int` `CODEFORMATTER_SPACES_BEFORE_ENDING_SEMI`
`static int` `CODEFORMATTER_SPACES_BEFORE_EQUAL`
`static int` `CODEFORMATTER_SPACES_BEFORE_EXCLAMATION`
`static int` `CODEFORMATTER_SPACES_BEFORE_OPERATOR`
`static int` `CODEFORMATTER_SPACES_BEFORE_PIPE`
`static int` `CODEFORMATTER_SPACES_BEFORE_POINT`
`static int` `CODEFORMATTER_SPACES_BEFORE_RULE_BRACE`
`static int` `CODEFORMATTER_SPACES_BEFORE_SEMI`
`static int` `CODEFORMATTER_SPACES_INSIDE_BRACES`
`static int` `CODEFORMATTER_SPACES_INSIDE_COLLECTION_BRACE`
`static int` `CODEFORMATTER_SPACES_OUTSIDE_BRACES`
`static int` `CODEFORMATTER_SPACES_OUTSIDE_COLLECTION_BRACE`
`static boolean` `EDITOR_BACKGROUND_COLOR_DEFAULT`
`static boolean` `EDITOR_CURRENT_LINE`
`static org.eclipse.swt.graphics.RGB` `EDITOR_CURRENT_LINE_COLOR`
`static org.eclipse.swt.graphics.RGB` `EDITOR_FIND_SCOPE_COLOR`
`static boolean` `EDITOR_FOREGROUND_COLOR_DEFAULT`
`static boolean` `EDITOR_HIGHLIGHT_CURRENT_LINE`
`static boolean` `EDITOR_HIGHLIGHT_MATCHING_BRACKETS`
`static boolean` `EDITOR_SHOW_LINE_NUMBER`
`static boolean` `EDITOR_SMART_BACKSPACE`
`static boolean` `SYNTAX_ABSTRACT_TYPE_BOLD`
`static org.eclipse.swt.graphics.RGB` `SYNTAX_ABSTRACT_TYPE_COLOR`
`static boolean` `SYNTAX_ABSTRACT_TYPE_ITALIC`
`static boolean` `SYNTAX_BOLD_KEYWORD_BOLD`
`static org.eclipse.swt.graphics.RGB` `SYNTAX_BOLD_KEYWORD_COLOR`
`static boolean` `SYNTAX_BOLD_KEYWORD_ITALIC`
`static boolean` `SYNTAX_BRACKET_BOLD`
`static org.eclipse.swt.graphics.RGB` `SYNTAX_BRACKET_COLOR`
`static boolean` `SYNTAX_BRACKET_ITALIC`
`static boolean` `SYNTAX_CONSTANT_BOLD`
`static org.eclipse.swt.graphics.RGB` `SYNTAX_CONSTANT_COLOR`
`static boolean` `SYNTAX_CONSTANT_ITALIC`
`static boolean` `SYNTAX_CONTEXT_KEYWORD_BOLD`
`static org.eclipse.swt.graphics.RGB` `SYNTAX_CONTEXT_KEYWORD_COLOR`
`static boolean` `SYNTAX_CONTEXT_KEYWORD_ITALIC`
`static boolean` `SYNTAX_DEFAULT_BOLD`
`static org.eclipse.swt.graphics.RGB` `SYNTAX_DEFAULT_COLOR`
`static boolean` `SYNTAX_DEFAULT_ITALIC`
`static boolean` `SYNTAX_IDENTIFIER_BOLD`
`static org.eclipse.swt.graphics.RGB` `SYNTAX_IDENTIFIER_COLOR`
`static boolean` `SYNTAX_IDENTIFIER_ITALIC`
`static boolean` `SYNTAX_KEYWORD_BOLD`
`static org.eclipse.swt.graphics.RGB` `SYNTAX_KEYWORD_COLOR`
`static boolean` `SYNTAX_KEYWORD_ITALIC`
`static boolean` `SYNTAX_LITERAL_BOLD`
`static org.eclipse.swt.graphics.RGB` `SYNTAX_LITERAL_COLOR`
`static boolean` `SYNTAX_LITERAL_ITALIC`
`static boolean` `SYNTAX_NUMBER_BOLD`
`static org.eclipse.swt.graphics.RGB` `SYNTAX_NUMBER_COLOR`
`static boolean` `SYNTAX_NUMBER_ITALIC`
`static boolean` `SYNTAX_OPERATOR_BOLD`
`static org.eclipse.swt.graphics.RGB` `SYNTAX_OPERATOR_COLOR`
`static boolean` `SYNTAX_OPERATOR_ITALIC`
`static boolean` `SYNTAX_SINGLE_LINE_COMMENT_BOLD`
`static org.eclipse.swt.graphics.RGB` `SYNTAX_SINGLE_LINE_COMMENT_COLOR`
`static boolean` `SYNTAX_SINGLE_LINE_COMMENT_ITALIC`
`static boolean` `SYNTAX_SINGLE_LINE_SPECIAL_COMMENT_BOLD`
`static org.eclipse.swt.graphics.RGB` `SYNTAX_SINGLE_LINE_SPECIAL_COMMENT_COLOR`
`static boolean` `SYNTAX_SINGLE_LINE_SPECIAL_COMMENT_ITALIC`
`static boolean` `SYNTAX_STRING_BOLD`
`static org.eclipse.swt.graphics.RGB` `SYNTAX_STRING_COLOR`
`static boolean` `SYNTAX_STRING_ITALIC`
`static boolean` `SYNTAX_SYMBOL_BOLD`
`static org.eclipse.swt.graphics.RGB` `SYNTAX_SYMBOL_COLOR`
`static boolean` `SYNTAX_SYMBOL_ITALIC`
`static boolean` `SYNTAX_TYPE_BOLD`
`static org.eclipse.swt.graphics.RGB` `SYNTAX_TYPE_COLOR`
`static boolean` `SYNTAX_TYPE_ITALIC`
`static boolean` `TYPING_CLOSE_BRACES`
`static boolean` `TYPING_CLOSE_BRACKETS`
`static boolean` `TYPING_CLOSE_STRINGS`
`static boolean` `TYPING_ESCAPE_STRINGS`
`static boolean` `TYPING_IMPORTS_ON_PASTE`
`static boolean` `TYPING_SMART_OPENING_BRACE`
`static boolean` `TYPING_SMART_PASTE`
`static boolean` `TYPING_SMART_SEMICOLON`
`static boolean` `TYPING_SMART_TAB`
`static boolean` `TYPING_SPACES_FOR_TABS`
`static boolean` `TYPING_WRAP_STRINGS`

### Field Detail

#### APPEARANCE_BACKGROUND_COLOR

    static final org.eclipse.swt.graphics.RGB APPEARANCE_BACKGROUND_COLOR

#### APPEARANCE_CURRENT_LINE

    static final boolean APPEARANCE_CURRENT_LINE

See Also:
  Constant Field Values

#### APPEARANCE_CURRENT_LINE_COLOR

    static final org.eclipse.swt.graphics.RGB APPEARANCE_CURRENT_LINE_COLOR

#### APPEARANCE_FOREGROUND_COLOR

    static final org.eclipse.swt.graphics.RGB APPEARANCE_FOREGROUND_COLOR

#### APPEARANCE_HIGHLIGHT_CURRENT_LINE

    static final boolean APPEARANCE_HIGHLIGHT_CURRENT_LINE

See Also:
  Constant Field Values

#### APPEARANCE_HIGHLIGHT_MATCHING_BRACKETS

    static final boolean APPEARANCE_HIGHLIGHT_MATCHING_BRACKETS

See Also:
  Constant Field Values

#### APPEARANCE_HIGHLIGHT_MATCHING_BRACKETS_COLOR

    static final org.eclipse.swt.graphics.RGB APPEARANCE_HIGHLIGHT_MATCHING_BRACKETS_COLOR

#### APPEARANCE_LINE_NUMBER_COLOR

    static final org.eclipse.swt.graphics.RGB APPEARANCE_LINE_NUMBER_COLOR

#### APPEARANCE_LINE_NUMBER_RULER

    static final boolean APPEARANCE_LINE_NUMBER_RULER

See Also:
  Constant Field Values

#### APPEARANCE_PRINT_MARGIN

    static final boolean APPEARANCE_PRINT_MARGIN

See Also:
  Constant Field Values

#### APPEARANCE_PRINT_MARGIN_COLOR

    static final org.eclipse.swt.graphics.RGB APPEARANCE_PRINT_MARGIN_COLOR

#### APPEARANCE_PRINT_MARGIN_COLUMN

    static final int APPEARANCE_PRINT_MARGIN_COLUMN

See Also:
  Constant Field Values

#### APPEARANCE_SELECTION_BACKGROUND_DEFAULT

    static final boolean APPEARANCE_SELECTION_BACKGROUND_DEFAULT

See Also:
  Constant Field Values

#### APPEARANCE_SELECTION_FOREGROUND_DEFAULT

    static final boolean APPEARANCE_SELECTION_FOREGROUND_DEFAULT

See Also:
  Constant Field Values

#### APPEARANCE_TAB_WIDTH

    static final int APPEARANCE_TAB_WIDTH

See Also:
  Constant Field Values

#### CODEASSIST_AUTOACTIVATION_DELAY

    static final int CODEASSIST_AUTOACTIVATION_DELAY

See Also:
  Constant Field Values

#### CODEASSIST_AUTOACTIVATION_ENABLE

    static final boolean CODEASSIST_AUTOACTIVATION_ENABLE

See Also:
  Constant Field Values

#### CODEASSIST_AUTOACTIVATION_TRIGGERS

    static final java.lang.String CODEASSIST_AUTOACTIVATION_TRIGGERS

See Also:
  Constant Field Values

#### CODEASSIST_AUTOINSERT

    static final boolean CODEASSIST_AUTOINSERT

See Also:
  Constant Field Values

#### CODEASSIST_CASE_SENSITIVITY

    static final boolean CODEASSIST_CASE_SENSITIVITY

See Also:
  Constant Field Values

#### CODEASSIST_ORDER_PROPOSALS

    static final boolean CODEASSIST_ORDER_PROPOSALS

See Also:
  Constant Field Values

#### CODEASSIST_PARAMETERS_BACKGROUND_COLOR

    static final org.eclipse.swt.graphics.RGB CODEASSIST_PARAMETERS_BACKGROUND_COLOR

#### CODEASSIST_PARAMETERS_FOREGROUND_COLOR

    static final org.eclipse.swt.graphics.RGB CODEASSIST_PARAMETERS_FOREGROUND_COLOR

#### CODEASSIST_PREFIX_COMPLETION

    static final boolean CODEASSIST_PREFIX_COMPLETION

See Also:
  Constant Field Values

#### CODEASSIST_PROPOSALS_BACKGROUND_COLOR

    static final org.eclipse.swt.graphics.RGB CODEASSIST_PROPOSALS_BACKGROUND_COLOR

#### CODEASSIST_PROPOSALS_FOREGROUND_COLOR

    static final org.eclipse.swt.graphics.RGB CODEASSIST_PROPOSALS_FOREGROUND_COLOR

#### CODEASSIST_REPLACEMENT_BACKGROUND_COLOR

    static final org.eclipse.swt.graphics.RGB CODEASSIST_REPLACEMENT_BACKGROUND_COLOR

#### CODEASSIST_REPLACEMENT_FOREGROUND_COLOR

    static final org.eclipse.swt.graphics.RGB CODEASSIST_REPLACEMENT_FOREGROUND_COLOR

#### CODEASSIST_SHOW_VISIBLE_PROPOSALS

    static final boolean CODEASSIST_SHOW_VISIBLE_PROPOSALS

See Also:
  Constant Field Values

#### CODEFORMATTER_LINES_BETWEEN

    static final int CODEFORMATTER_LINES_BETWEEN

See Also:
  Constant Field Values

#### CODEFORMATTER_LINE_MAX_LENGTH

    static final int CODEFORMATTER_LINE_MAX_LENGTH

See Also:
  Constant Field Values

#### CODEFORMATTER_SPACES_OUTSIDE_BRACES

    static final int CODEFORMATTER_SPACES_OUTSIDE_BRACES

See Also:
  Constant Field Values

#### CODEFORMATTER_SPACES_INSIDE_BRACES

    static final int CODEFORMATTER_SPACES_INSIDE_BRACES

See Also:
  Constant Field Values

#### CODEFORMATTER_SPACES_BEFORE_ARROWS

    static final int CODEFORMATTER_SPACES_BEFORE_ARROWS

See Also:
  Constant Field Values

#### CODEFORMATTER_SPACES_AFTER_ARROWS

    static final int CODEFORMATTER_SPACES_AFTER_ARROWS

See Also:
  Constant Field Values

#### CODEFORMATTER_SPACES_BEFORE_SEMI

    static final int CODEFORMATTER_SPACES_BEFORE_SEMI

See Also:
  Constant Field Values

#### CODEFORMATTER_SPACES_AFTER_SEMI

    static final int CODEFORMATTER_SPACES_AFTER_SEMI

See Also:
  Constant Field Values

#### CODEFORMATTER_SPACES_BEFORE_COMA

    static final int CODEFORMATTER_SPACES_BEFORE_COMA

See Also:
  Constant Field Values

#### CODEFORMATTER_SPACES_AFTER_COMA

    static final int CODEFORMATTER_SPACES_AFTER_COMA

See Also:
  Constant Field Values

#### CODEFORMATTER_SPACES_BEFORE_COLON

    static final int CODEFORMATTER_SPACES_BEFORE_COLON

See Also:
  Constant Field Values

#### CODEFORMATTER_SPACES_AFTER_COLON

    static final int CODEFORMATTER_SPACES_AFTER_COLON

See Also:
  Constant Field Values

#### CODEFORMATTER_SPACES_BEFORE_POINT

    static final int CODEFORMATTER_SPACES_BEFORE_POINT

See Also:
  Constant Field Values

#### CODEFORMATTER_SPACES_AFTER_POINT

    static final int CODEFORMATTER_SPACES_AFTER_POINT

See Also:
  Constant Field Values

#### CODEFORMATTER_SPACES_BEFORE_OPERATOR

    static final int CODEFORMATTER_SPACES_BEFORE_OPERATOR

See Also:
  Constant Field Values

#### CODEFORMATTER_SPACES_AFTER_OPERATOR

    static final int CODEFORMATTER_SPACES_AFTER_OPERATOR

See Also:
  Constant Field Values

#### CODEFORMATTER_SPACES_BEFORE_EQUAL

    static final int CODEFORMATTER_SPACES_BEFORE_EQUAL

See Also:
  Constant Field Values

#### CODEFORMATTER_SPACES_AFTER_EQUAL

    static final int CODEFORMATTER_SPACES_AFTER_EQUAL

See Also:
  Constant Field Values

#### CODEFORMATTER_SPACES_BEFORE_PIPE

    static final int CODEFORMATTER_SPACES_BEFORE_PIPE

See Also:
  Constant Field Values

#### CODEFORMATTER_SPACES_AFTER_PIPE

    static final int CODEFORMATTER_SPACES_AFTER_PIPE

See Also:
  Constant Field Values

#### CODEFORMATTER_SPACES_BEFORE_EXCLAMATION

    static final int CODEFORMATTER_SPACES_BEFORE_EXCLAMATION

See Also:
  Constant Field Values

#### CODEFORMATTER_SPACES_AFTER_EXCLAMATION

    static final int CODEFORMATTER_SPACES_AFTER_EXCLAMATION

See Also:
  Constant Field Values

#### CODEFORMATTER_SPACES_BEFORE_RULE_BRACE

    static final int CODEFORMATTER_SPACES_BEFORE_RULE_BRACE

See Also:
  Constant Field Values

#### CODEFORMATTER_SPACES_BEFORE_ENDING_SEMI

    static final int CODEFORMATTER_SPACES_BEFORE_ENDING_SEMI

See Also:
  Constant Field Values

#### CODEFORMATTER_CUT_AFTER_POINT

    static final boolean CODEFORMATTER_CUT_AFTER_POINT

See Also:
  Constant Field Values

#### CODEFORMATTER_SPACES_AFTER_COMMENT

    static final int CODEFORMATTER_SPACES_AFTER_COMMENT

See Also:
  Constant Field Values

#### CODEFORMATTER_SPACES_OUTSIDE_COLLECTION_BRACE

    static final int CODEFORMATTER_SPACES_OUTSIDE_COLLECTION_BRACE

See Also:
  Constant Field Values

#### CODEFORMATTER_SPACES_INSIDE_COLLECTION_BRACE

    static final int CODEFORMATTER_SPACES_INSIDE_COLLECTION_BRACE

See Also:
  Constant Field Values

#### CODEFORMATTER_LINES_AFTER_MODULE

    static final int CODEFORMATTER_LINES_AFTER_MODULE

See Also:
  Constant Field Values

#### CODEFORMATTER_LINES_AFTER_CREATE_FROM

    static final int CODEFORMATTER_LINES_AFTER_CREATE_FROM

See Also:
  Constant Field Values

#### CODEFORMATTER_LINES_AFTER_SPECIAL_TAGS

    static final int CODEFORMATTER_LINES_AFTER_SPECIAL_TAGS

See Also:
  Constant Field Values

#### EDITOR_BACKGROUND_COLOR_DEFAULT

    static final boolean EDITOR_BACKGROUND_COLOR_DEFAULT

See Also:
  Constant Field Values

#### EDITOR_CURRENT_LINE

    static final boolean EDITOR_CURRENT_LINE

See Also:
  Constant Field Values

#### EDITOR_CURRENT_LINE_COLOR

    static final org.eclipse.swt.graphics.RGB EDITOR_CURRENT_LINE_COLOR

#### EDITOR_FIND_SCOPE_COLOR

    static final org.eclipse.swt.graphics.RGB EDITOR_FIND_SCOPE_COLOR

#### EDITOR_FOREGROUND_COLOR_DEFAULT

    static final boolean EDITOR_FOREGROUND_COLOR_DEFAULT

See Also:
  Constant Field Values

#### EDITOR_HIGHLIGHT_CURRENT_LINE

    static final boolean EDITOR_HIGHLIGHT_CURRENT_LINE

See Also:
  Constant Field Values

#### EDITOR_HIGHLIGHT_MATCHING_BRACKETS

    static final boolean EDITOR_HIGHLIGHT_MATCHING_BRACKETS

See Also:
  Constant Field Values

#### EDITOR_SHOW_LINE_NUMBER

    static final boolean EDITOR_SHOW_LINE_NUMBER

See Also:
  Constant Field Values

#### EDITOR_SMART_BACKSPACE

    static final boolean EDITOR_SMART_BACKSPACE

See Also:
  Constant Field Values

#### SYNTAX_BRACKET_BOLD

    static final boolean SYNTAX_BRACKET_BOLD

See Also:
  Constant Field Values

#### SYNTAX_BRACKET_COLOR

    static final org.eclipse.swt.graphics.RGB SYNTAX_BRACKET_COLOR

#### SYNTAX_BRACKET_ITALIC

    static final boolean SYNTAX_BRACKET_ITALIC

See Also:
  Constant Field Values

#### SYNTAX_CONSTANT_BOLD

    static final boolean SYNTAX_CONSTANT_BOLD

See Also:
  Constant Field Values

#### SYNTAX_CONSTANT_COLOR

    static final org.eclipse.swt.graphics.RGB SYNTAX_CONSTANT_COLOR

#### SYNTAX_CONSTANT_ITALIC

    static final boolean SYNTAX_CONSTANT_ITALIC

See Also:
  Constant Field Values

#### SYNTAX_DEFAULT_BOLD

    static final boolean SYNTAX_DEFAULT_BOLD

See Also:
  Constant Field Values

#### SYNTAX_DEFAULT_COLOR

    static final org.eclipse.swt.graphics.RGB SYNTAX_DEFAULT_COLOR

#### SYNTAX_DEFAULT_ITALIC

    static final boolean SYNTAX_DEFAULT_ITALIC

See Also:
  Constant Field Values

#### SYNTAX_IDENTIFIER_BOLD

    static final boolean SYNTAX_IDENTIFIER_BOLD

See Also:
  Constant Field Values

#### SYNTAX_IDENTIFIER_COLOR

    static final org.eclipse.swt.graphics.RGB SYNTAX_IDENTIFIER_COLOR

#### SYNTAX_IDENTIFIER_ITALIC

    static final boolean SYNTAX_IDENTIFIER_ITALIC

See Also:
  Constant Field Values

#### SYNTAX_KEYWORD_BOLD

    static final boolean SYNTAX_KEYWORD_BOLD

See Also:
  Constant Field Values

#### SYNTAX_KEYWORD_COLOR

    static final org.eclipse.swt.graphics.RGB SYNTAX_KEYWORD_COLOR

#### SYNTAX_KEYWORD_ITALIC

    static final boolean SYNTAX_KEYWORD_ITALIC

See Also:
  Constant Field Values

#### SYNTAX_BOLD_KEYWORD_BOLD

    static final boolean SYNTAX_BOLD_KEYWORD_BOLD

See Also:
  Constant Field Values

#### SYNTAX_BOLD_KEYWORD_COLOR

    static final org.eclipse.swt.graphics.RGB SYNTAX_BOLD_KEYWORD_COLOR

#### SYNTAX_BOLD_KEYWORD_ITALIC

    static final boolean SYNTAX_BOLD_KEYWORD_ITALIC

See Also:
  Constant Field Values

#### SYNTAX_CONTEXT_KEYWORD_BOLD

    static final boolean SYNTAX_CONTEXT_KEYWORD_BOLD

See Also:
  Constant Field Values

#### SYNTAX_CONTEXT_KEYWORD_COLOR

    static final org.eclipse.swt.graphics.RGB SYNTAX_CONTEXT_KEYWORD_COLOR

#### SYNTAX_CONTEXT_KEYWORD_ITALIC

    static final boolean SYNTAX_CONTEXT_KEYWORD_ITALIC

See Also:
  Constant Field Values

#### SYNTAX_LITERAL_BOLD

    static final boolean SYNTAX_LITERAL_BOLD

See Also:
  Constant Field Values

#### SYNTAX_LITERAL_COLOR

    static final org.eclipse.swt.graphics.RGB SYNTAX_LITERAL_COLOR

#### SYNTAX_LITERAL_ITALIC

    static final boolean SYNTAX_LITERAL_ITALIC

See Also:
  Constant Field Values

#### SYNTAX_NUMBER_BOLD

    static final boolean SYNTAX_NUMBER_BOLD

See Also:
  Constant Field Values

#### SYNTAX_NUMBER_COLOR

    static final org.eclipse.swt.graphics.RGB SYNTAX_NUMBER_COLOR

#### SYNTAX_NUMBER_ITALIC

    static final boolean SYNTAX_NUMBER_ITALIC

See Also:
  Constant Field Values

#### SYNTAX_OPERATOR_BOLD

    static final boolean SYNTAX_OPERATOR_BOLD

See Also:
  Constant Field Values

#### SYNTAX_OPERATOR_COLOR

    static final org.eclipse.swt.graphics.RGB SYNTAX_OPERATOR_COLOR

#### SYNTAX_OPERATOR_ITALIC

    static final boolean SYNTAX_OPERATOR_ITALIC

See Also:
  Constant Field Values

#### SYNTAX_SINGLE_LINE_COMMENT_BOLD

    static final boolean SYNTAX_SINGLE_LINE_COMMENT_BOLD

See Also:
  Constant Field Values

#### SYNTAX_SINGLE_LINE_COMMENT_COLOR

    static final org.eclipse.swt.graphics.RGB SYNTAX_SINGLE_LINE_COMMENT_COLOR

#### SYNTAX_SINGLE_LINE_COMMENT_ITALIC

    static final boolean SYNTAX_SINGLE_LINE_COMMENT_ITALIC

See Also:
  Constant Field Values

#### SYNTAX_SINGLE_LINE_SPECIAL_COMMENT_BOLD

    static final boolean SYNTAX_SINGLE_LINE_SPECIAL_COMMENT_BOLD

See Also:
  Constant Field Values

#### SYNTAX_SINGLE_LINE_SPECIAL_COMMENT_COLOR

    static final org.eclipse.swt.graphics.RGB SYNTAX_SINGLE_LINE_SPECIAL_COMMENT_COLOR

#### SYNTAX_SINGLE_LINE_SPECIAL_COMMENT_ITALIC

    static final boolean SYNTAX_SINGLE_LINE_SPECIAL_COMMENT_ITALIC

See Also:
  Constant Field Values

#### SYNTAX_STRING_BOLD

    static final boolean SYNTAX_STRING_BOLD

See Also:
  Constant Field Values

#### SYNTAX_STRING_COLOR

    static final org.eclipse.swt.graphics.RGB SYNTAX_STRING_COLOR

#### SYNTAX_STRING_ITALIC

    static final boolean SYNTAX_STRING_ITALIC

See Also:
  Constant Field Values

#### SYNTAX_SYMBOL_BOLD

    static final boolean SYNTAX_SYMBOL_BOLD

See Also:
  Constant Field Values

#### SYNTAX_SYMBOL_COLOR

    static final org.eclipse.swt.graphics.RGB SYNTAX_SYMBOL_COLOR

#### SYNTAX_SYMBOL_ITALIC

    static final boolean SYNTAX_SYMBOL_ITALIC

See Also:
  Constant Field Values

#### SYNTAX_TYPE_BOLD

    static final boolean SYNTAX_TYPE_BOLD

See Also:
  Constant Field Values

#### SYNTAX_TYPE_COLOR

    static final org.eclipse.swt.graphics.RGB SYNTAX_TYPE_COLOR

#### SYNTAX_TYPE_ITALIC

    static final boolean SYNTAX_TYPE_ITALIC

See Also:
  Constant Field Values

#### SYNTAX_ABSTRACT_TYPE_BOLD

    static final boolean SYNTAX_ABSTRACT_TYPE_BOLD

See Also:
  Constant Field Values

#### SYNTAX_ABSTRACT_TYPE_COLOR

    static final org.eclipse.swt.graphics.RGB SYNTAX_ABSTRACT_TYPE_COLOR

#### SYNTAX_ABSTRACT_TYPE_ITALIC

    static final boolean SYNTAX_ABSTRACT_TYPE_ITALIC

See Also:
  Constant Field Values

#### TYPING_CLOSE_BRACES

    static final boolean TYPING_CLOSE_BRACES

See Also:
  Constant Field Values

#### TYPING_CLOSE_BRACKETS

    static final boolean TYPING_CLOSE_BRACKETS

See Also:
  Constant Field Values

#### TYPING_CLOSE_STRINGS

    static final boolean TYPING_CLOSE_STRINGS

See Also:
  Constant Field Values

#### TYPING_ESCAPE_STRINGS

    static final boolean TYPING_ESCAPE_STRINGS

See Also:
  Constant Field Values

#### TYPING_IMPORTS_ON_PASTE

    static final boolean TYPING_IMPORTS_ON_PASTE

See Also:
  Constant Field Values

#### TYPING_SMART_OPENING_BRACE

    static final boolean TYPING_SMART_OPENING_BRACE

See Also:
  Constant Field Values

#### TYPING_SMART_PASTE

    static final boolean TYPING_SMART_PASTE

See Also:
  Constant Field Values

#### TYPING_SMART_SEMICOLON

    static final boolean TYPING_SMART_SEMICOLON

See Also:
  Constant Field Values

#### TYPING_SMART_TAB

    static final boolean TYPING_SMART_TAB

See Also:
  Constant Field Values

#### TYPING_SPACES_FOR_TABS

    static final boolean TYPING_SPACES_FOR_TABS

See Also:
  Constant Field Values

#### TYPING_WRAP_STRINGS

    static final boolean TYPING_WRAP_STRINGS

See Also:
  Constant Field Values